Subject: Re: issue in draft-martini-ethernet-encap-mpls-00.txt

From: Luca Martini <[email-masked]>
Date: Mon, 22 Apr 2002 16:28:34 -0600

( catching up to my e-mail after being kinnaped by payng customer for a week :-)

I believe that the idea behind the design was to use the PW to determine the 
output Vlan number. The vlan was transported to alleviate some implementation 
issues on IP routers.
so I would think the following would apply:

MPLS -> use Vc label
IP -> use port number or IP address
L2TP -> use the session?? number ( I can remember the correct terminology )

Luca

Claude Kawa wrote:

> 
> I will ask my same question referencing 
> draft-martini-ethernet-encap-mpls-00.txt this time.
> 
> It is unspecified in draft-martini-ethernet-encap-mpls-00.txt) what 
> piece(s) of protocol control information received in an Ethernet frame 
> from a CE, a PE  will use to select the right PE-PE LSP.
> 
> We can use:
> 1-IP addresses carried in ethernet frames from a CE to PE to select the 
> right PE-PE LSP,
> 2-we can also use ethernet MAC addresses with or without the VLAN id to 
> select the LSP,
> 3-we can also use just a VLAN id as a local id between a CE and PE for 
> the LSP selection,
> 4-finally, the PE can use other control information carried in the 
> ethernet frame received by the PE to select the VC LSP.
> 
> It is important that Etherent/PW draft specifies which method(s) is/are 
> used so that the CE and PE are in sync in terms of what is required to 
> select the right LSP to avoid incompatibilities between CE and PE 
> implementations.
> 
> claude kawa
> 

-- 
Just say no to summer. Ski all year !
Luca Martini Senior Network Architect, Level 3 Communications - Broomfield, CO
[email-masked] | VE2WKR/W0 | Phone 720-888-1225 | pager [email-masked]

---

From: "W. Mark Townsley" <[email-masked]>
Date: Tue, 23 Apr 2002 02:49:21 +0200

> output Vlan number. The vlan was transported to alleviate some implementation

That answers the question for packets flowing from the PE to the CE, but I think
Claude's question was more for packets arriving at the PE from the CE.

> L2TP -> use the session?? number ( I can remember the correct terminology )

The L2TP "Session ID" is analogous to the MPLS "VC Label" 

The two of these are referred to as the "PW Identifier" in the Protocol Layering
Document.

IP doesn't have a 'port' number ;-)

- Mark

> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Eric Rosen <[email-masked]>
Date: Wed, 17 Apr 2002 12:25:50 -0400

Claude> It is  unspecified in draft-martini-ethernet-encap-mpls-00.txt) what
Claude> piece(s)  of protocol  control information  received in  an Ethernet
Claude> frame from a CE, a PE will use to select the right PE-PE LSP. 

This must definitely NOT be specified. 

When a  PE receives a frame  from a CE, it  clearly must use  some method to
determine the  pseudowire on  which that frame  should be  transmitted.  The
method  used is  a matter  of  agreement between  a service  provider and  a
customer, and must not be specified by the protocol. 

The use of pseudowires to provide  various kinds of service is really within
the province  of the L2VPN work being  done by the PPVPN  WG.  For instance,
ethernet service pseudowires can be  used to provide either a point-to-point
service or a transparent LAN service.  This difference is really a matter of
just how to  determine the PW for a particular  frame.  PWE3 mechanisms must
support both services.

---

From: "John Fischer" <[email-masked]>
Date: 17 Apr 2002 11:28:58 -0400

Hi Claude,
I believe that only one of two mappings are used to offer
the Ethernet port and Ethernet VLAN pseudowires described
in the martini transport draft:
- a VLAN Id maps to a pseudowire, or
- entire port maps to a pseudowire
I agree that the draft describing the ethernet
encapsulation should specify this mapping.
John

> 1-IP addresses carried in ethernet frames from a CE to PE to select
> the right PE-PE LSP,
> 2-we can also use ethernet MAC addresses with or without the VLAN id
> to select the LSP,
> It is important that Etherent/PW draft specifies which method(s)
> is/are used so that the CE and PE are in sync in terms of what is
> required to select the right LSP to avoid incompatibilities between CE
> and PE implementations.
> 
> claude kawa